Loading...
Searching...
No Matches
Dune::RedistributeInformation< T > Struct Template Reference

`#include <dune/istl/matrixredistribute.hh>`

Inheritance diagram for Dune::RedistributeInformation< T >:

## Public Member Functions

bool | isSetup () const
template<class D>
void | redistribute (const D &from, D &to) const
template<class D>
void | redistributeBackward (D &from, const D &to) const
void | resetSetup ()
void | setNoRows (std::size_t size)
void | setNoCopyRows (std::size_t size)
void | setNoBackwardsCopyRows (std::size_t size)
std::size_t | getRowSize (std::size_t index) const
std::size_t | getCopyRowSize (std::size_t index) const
std::size_t | getBackwardsCopyRowSize (std::size_t index) const

## Member Function Documentation

## getBackwardsCopyRowSize()

template<typename T>

std::size_t Dune::RedistributeInformation< T >::getBackwardsCopyRowSize | ( | std::size_t | index | ) | const

inline

## getCopyRowSize()

template<typename T>

std::size_t Dune::RedistributeInformation< T >::getCopyRowSize | ( | std::size_t | index | ) | const

inline

## getRowSize()

template<typename T>

std::size_t Dune::RedistributeInformation< T >::getRowSize | ( | std::size_t | index | ) | const

inline

## isSetup()

template<typename T>

bool Dune::RedistributeInformation< T >::isSetup | ( |  | ) | const

inline

## redistribute()

template<typename T>
template<class D>

void Dune::RedistributeInformation< T >::redistribute | ( | const D & | from,
|  | D & | to ) const

inline

## redistributeBackward()

template<typename T>
template<class D>

void Dune::RedistributeInformation< T >::redistributeBackward | ( | D & | from,
|  | const D & | to ) const

inline

## resetSetup()

template<typename T>

void Dune::RedistributeInformation< T >::resetSetup | ( |  | ) |

inline

## setNoBackwardsCopyRows()

template<typename T>

void Dune::RedistributeInformation< T >::setNoBackwardsCopyRows | ( | std::size_t | size | ) |

inline

## setNoCopyRows()

template<typename T>

void Dune::RedistributeInformation< T >::setNoCopyRows | ( | std::size_t | size | ) |

inline

## setNoRows()

template<typename T>

void Dune::RedistributeInformation< T >::setNoRows | ( | std::size_t | size | ) |

inline

The documentation for this struct was generated from the following file:

- matrixredistribute.hh